"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.addRequestID = exports.requestIdContext = void 0;
const async_hooks_1 = require("async_hooks");
const winston_1 = __importDefault(require("winston"));
exports.requestIdContext = new async_hooks_1.AsyncLocalStorage();
exports.addRequestID = winston_1.default.format(info => {
    const id = exports.requestIdContext.getStore();
    if (id)
        info.requestID = id;
    return info;
});
//# sourceMappingURL=requestId.js.map