import assert from 'assert';
import Mocha from 'mocha';
export function testSuiteFormat(repositoryTestData) {
    const testSuite = new Mocha.Suite('format');
    for (const key in repositoryTestData.entityData) {
        testSuite.addTest(new Mocha.Test(`should correctly format a model (${key})`, async function () {
            const formatted = (await repositoryTestData.repository.format(repositoryTestData.entityData[key].model));
            assert(repositoryTestData.validateFormat(repositoryTestData.entityData[key].model, formatted));
        }));
    }
    return testSuite;
}
//# sourceMappingURL=format.spec.js.map